Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » ClassNotFoundException org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory(Problem installing Xtext on various Eclipse distributions)
ClassNotFoundException org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory [message #1792736] Mon, 23 July 2018 10:54 Go to next message
Markus Holzem is currently offline Markus HolzemFriend
Messages: 7
Registered: November 2017
Junior Member
Hello,

this post refers back to https://www.eclipse.org/forums/index.php/t/1073549/. It took me some time to find a post that had some information about the problem I had when I tried to merge Xtext into various versions of IBM and Compuware products. The problem was always that Xtext could not be loaded properly and the root cause of the exception was always something like

Caused by: java.lang.ClassNotFoundException: org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory can
not be found by org.eclipse.xtext.ui.shared_<various versions>
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:439)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:352)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:344)
at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:160)
at java.lang.ClassLoader.loadClass(Unknown Source)


The occurrence happened with various releases of Neon, Oxygen, Photon. It also happened with Xtext versions from 2.11 to 2.14. I know that the problem might not be entirely caused by Xtext but might instead be rooted in IBM or Compuware plugins, but I could not find out why the org.eclipse.xtext.ui plug-in was not already loaded when the org.eclipse.xtext.ui.shared plug-in needed the class from the other plug-in.

I copied the solution from the other post https://www.eclipse.org/forums/index.php/t/1073549/ - to replace optional by required in the MAINFEST.MF of the org.eclipse.xtext.ui.shared plug-in. This workaround still works. Since I am not the only one having this problem I would like to suggest to make the dependencies in org.eclipse.xtext.ui.shared required by default

What is the right way to submit this change request?

Markus

[Updated on: Mon, 23 July 2018 10:55]

Report message to a moderator

Re: ClassNotFoundException org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory [message #1792738 is a reply to message #1792736] Mon, 23 July 2018 10:56 Go to previous messageGo to next message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 12237
Registered: July 2009
Senior Member
please open a ticket at github.com/eclipse/xtext-eclipse i dont know why the dependencies are the way they are so this must be discussed.

e.g. we dont want to have a required jdt dependency

am not sure if this is the same issue as https://github.com/eclipse/xtext-eclipse/issues/12


Need professional support for Xtext, Xpand, EMF?
Go to: https://xtext.itemis.com
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de

[Updated on: Mon, 23 July 2018 11:00]

Report message to a moderator

Re: ClassNotFoundException org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory [message #1792740 is a reply to message #1792738] Mon, 23 July 2018 11:11 Go to previous message
Markus Holzem is currently offline Markus HolzemFriend
Messages: 7
Registered: November 2017
Junior Member
Hi Christian,

this is very probably the same problem.
I will leave some notes in https://github.com/eclipse/xtext-eclipse/issues/12

Markus
Previous Topic:RPGLE - Keyword Parsing
Next Topic:How can I make JvmModelInferrer insert an import statement in the generated Java code?
Goto Forum:
  


Current Time: Sat Sep 22 00:57:56 GMT 2018

Powered by FUDForum. Page generated in 0.03852 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top